#ifndef PM_CONCEPTS_STANDARD_H
#define PM_CONCEPTS_STANDARD_H

#include "pslib.h"
#include "pmFPA.h"

// Functions to parse and format the standard concepts

psMetadataItem *p_pmConceptParse_FPA_Coords(psMetadataItem *concept,
        psMetadataItem *pattern,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_FPA_Coords(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptParse_CELL_TRIMSEC(psMetadataItem *concept,
        psMetadataItem *pattern,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptParse_CELL_BIASSEC(psMetadataItem *concept,
        psMetadataItem *pattern,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptParse_CELL_Binning(psMetadataItem *concept,
        psMetadataItem *pattern,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptParse_CELL_TIMESYS(psMetadataItem *concept,
        psMetadataItem *pattern,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptParse_CELL_TIME(psMetadataItem *concept,
        psMetadataItem *pattern,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptParse_Positions(psMetadataItem *concept,
        psMetadataItem *pattern,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_CELL_TRIMSEC(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_CELL_BIASSEC(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_CELL_XBIN(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_CELL_YBIN(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_CELL_TIMESYS(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_CELL_TIME(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);
psMetadataItem *p_pmConceptFormat_Positions(psMetadataItem *concept,
        psMetadata *cameraFormat,
        pmFPA *fpa,
        pmChip *chip,
        pmCell *cell);

#endif
